Subject: bug#57105: Naming of emacs-news-mode vs etc-authors-mode

From: Stefan Kangas <[email-masked]>
Date: Wed, 10 Aug 2022 02:47:05 -0700

Severity: wishlist

It is kind of unfortunate that emacs-news-mode and etc-authors-mode
don't share the same prefix.  Could we change them to use the same one?
Either one or the other would need to be renamed.

The benefit of the "emacs" prefix is that it is more self-explanatory.

The benefit of the "etc" prefix is that it feels more "internal" and
makes it clear that these modes are not really intended for general use.

(It is okay to rename `etc-authors-mode' if we want to as no one will
realistically be relying on it for serious work.)

Thoughts?